# Uses of Interface
org.w3c.dom.NodeList

Packages that use NodeList
Package
Description
javax.imageio.metadata
A package of the Java Image I/O API dealing with reading and writing metadata.
org.w3c.dom
Provides the interfaces for the Document Object Model (DOM).
org.w3c.dom.html
Provides interfaces for DOM Level 2 HTML Specification.

## Uses of NodeList in javax.imageio.metadata

Classes in javax.imageio.metadata that implement NodeList
Modifier and Type
Class
Description
`class`
`IIOMetadataNode`
A class representing a node in a meta-data tree, which implements the `org.w3c.dom.Element` interface and additionally allows for the storage of non-textual objects via the `getUserObject` and `setUserObject` methods.
Methods in javax.imageio.metadata that return NodeList
Modifier and Type
Method
Description
`NodeList`
IIOMetadataNode.`getChildNodes()`
Returns a `NodeList` that contains all children of this node.
`NodeList`
IIOMetadataNode.`getElementsByTagName(String name)`
`NodeList`
IIOMetadataNode.`getElementsByTagNameNS(String namespaceURI, String localName)`
Equivalent to `getElementsByTagName(localName)`.

## Uses of NodeList in org.w3c.dom

Methods in org.w3c.dom that return NodeList
Modifier and Type
Method
Description
`NodeList`
Node.`getChildNodes()`
A `NodeList` that contains all children of this node.
`NodeList`
Document.`getElementsByTagName(String tagname)`
Returns a `NodeList` of all the `Elements` in document order with a given tag name and are contained in the document.
`NodeList`
Element.`getElementsByTagName(String name)`
Returns a `NodeList` of all descendant `Elements` with a given tag name, in document order.
`NodeList`
Document.`getElementsByTagNameNS(String namespaceURI, String localName)`
Returns a `NodeList` of all the `Elements` with a given local name and namespace URI in document order.
`NodeList`
Element.`getElementsByTagNameNS(String namespaceURI, String localName)`
Returns a `NodeList` of all the descendant `Elements` with a given local name and namespace URI in document order.

## Uses of NodeList in org.w3c.dom.html

Methods in org.w3c.dom.html that return NodeList
Modifier and Type
Method
Description
`NodeList`
HTMLDocument.`getElementsByName(String elementName)`
Returns the (possibly empty) collection of elements whose `name` value is given by `elementName` .